input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0 30px white inset;
}

.form-control.focus,
.form-control:focus {
  border-color: #2577C9;
}

.s--input-editable-off {
  background-color: transparent !important;
  border-color: transparent !important;
  padding: 0 !important;
  height: auto !important;
  resize: none;
}

.s--label {
  font-size: 11.5px !important;
  font-weight: 500 !important;
}

textarea {
  //resize: none;
  resize: vertical;
}

form {
  margin-bottom: 0;
}

.input-file {
  position: relative;

  &.input-file-pill {
    label {
      border-radius: 30px;
    }
  }

  &.input-file-sm {
    label {
      height: 32px;
      line-height: 32px;
    }
  }

  &.input-file-outline {
    label {
      height: 30px;
      line-height: 30px;
      color: #00a4bd;
      border: solid 1px #00a4bd;
      background-color: transparent;
    }

    &:hover {
      label {
        color: #fff;
        background-color: #00a4bd;
      }
    }
  }

  label {
    padding: 0 20px;
    border-radius: 4px;
    color: #fff;
    background-color: #00a4bd;
    cursor: pointer;
    margin: 0;
    height: 37.5px;
    line-height: 37.5px;

    &:hover {
      background-color: #008397;
    }

    i {
      position: relative;
      top: 2px;
    }
  }

  &.input-file-secondary {
    label {
      background-color: #ebedf2;
      color: #008397;
    }
  }

  &.nt-input-file-primary {
    label {
      background-color: #444F78;
      color: #fff;
      border-radius: 30px;
    }
  }

  [type=file] {
    cursor: pointer;
    display: block;
    //font-size: 999px;
    filter: alpha(opacity=0);
    width: 100%;
    height: 100%;
    opacity: 0;
    position: absolute;
    right: 0;
    text-align: right;
    top: 0;
  }
}

.m-form {
  .m-form__group {
    padding: 5px 0;
  }
}

.v-select {
  &.disabled {
    border-color: #CCD2E2;
    background-color: #f4f5f8;

    .dropdown-toggle {
      border-color: #CCD2E2 !important;
    }
  }

  .dropdown-toggle {
    border: 1px solid #ebedf2 !important;
  }

  &.open {
    .dropdown-toggle {
      border-color: #00a4bd !important;
    }
  }

  .dropdown-menu {
    border: 1px solid #00a4bd !important;
    border-top: none !important;
  }

  input[type=search],
  input[type=search]:focus {
    height: 38px !important;
    color: #495057;
    border-radius: .25rem;
  }

  .open-indicator {
    bottom: 8px !important;
  }
}

.v-select.open .open-indicator {
  bottom: 1px !important;
}

.v-select .open-indicator:before {
  border-width: 1px 1px 0 0 !important;
  border-color: rgba(60, 60, 60, .28) !important;
}

.v-select .selected-tag {
  position: relative;
  color: #444F78 !important;
  background-color: #F4F5F9 !important;
  border: 1px solid #CCD2E2 !important;
  border-radius: 20px !important;
  height: 30px !important;
  margin: 4px !important;
  padding: 0 24px 0 14px !important;
  float: left;
  line-height: 30px !important;
  max-width: 180px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  display: block !important;
}

.v-select .selected-tag .close {
  position: absolute !important;
  top: 50% !important;
  right: 8px !important;
  transform: translateY(-50%) !important;
}

.v-select .vs__selected-options {
  //padding: 0 2px;
  padding: 0 calc(1.15rem - 4px) !important;
}

.v-select.single .selected-tag {
  background-color: transparent !important;
  border-color: transparent !important;
  margin: 4px 0 !important;
  padding: 0 14px 0 4px !important;
}

.v-select .dropdown-toggle .clear {
  color: #444F78 !important;
  font-weight: normal !important;
  font-size: 16px !important;
  margin-right: 8px !important;
  margin-top: 3px !important;
}

.v-select .open-indicator,
.v-select .open-indicator:before {
  transition: all 0 cubic-bezier(1, -.115, .975, .855) !important;
  transition-timing-function: cubic-bezier(1, -.115, .975, .855) !important;
}

.v-select .open-indicator:before {
  height: 6px !important;
  width: 6px !important;
  border-color: #444F78 !important;
}

.v-select .dropdown-toggle {
  padding: 0 !important;
}

.v-select[disabled] .vs__actions {
  display: none !important;
}

.v-select input[type=search],
.v-select input[type=search]:focus {
  margin: 0 !important;
}

// select tag compnent
.v-select.s--select-tags .no-options .add-new {
  width: 100%;
  display: block;
  text-align: left;
  padding: 0 10px;
}

.v-select.s--select-tags .selected-tag {
  display: none;
}

.v-select.disabled .dropdown-toggle,
.v-select.disabled .dropdown-toggle .clear,
.v-select.disabled .dropdown-toggle input,
.v-select.disabled .open-indicator,
.v-select.disabled .selected-tag .close {
  background-color: #f4f5f8 !important;
  border: 1px solid #CCD2E2 !important;
  color: #A1A7BB !important;
}

.m-form.m-form--state .has-danger .v-select input[type=search],
.v-select input[type=search]:focus {
  border-color: transparent !important;
}

//.v-select .dropdown-toggle .clear{
//  display: none;
//}

.s--input-phone {
  padding: 0;
  margin: 0;
  background-color: transparent;
  border: none;
}

.s-input-mask-disabled {
  border: none;
  background-color: transparent;
  padding: 0;
  color: #575962;
}

.s-money-custom {
  display: block;
  width: 100%;
  height: calc(2.95rem + 2px);
  padding: .85rem 1.15rem;
  font-size: 1rem;
  line-height: 1.25;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ebedf2;
  border-radius: .25rem;
  -webkit-transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;

  &.s-money-custom-sm {
    height: calc(2.2125rem + 2px);
    padding: .45rem .8rem;
    font-size: .875rem;
    line-height: 1.5;
  }

  &:focus {
    border-color: #2577C9;
    outline: none;
  }
}

.form-control[disabled] {
  color: #A1A7BB;
}

.btn.btn-secondary {
  &:focus {
    background-color: #fff;
  }
}

.mx-datepicker {
  font-size: 13px !important;
  width: 100% !important;

  &.disabled,
  &[disabled] {
    border-color: #CCD2E2;
    background-color: #f4f5f8;
    opacity: 1 !important;
    pointer-events: none;

    .mx-input:disabled,
    .mx-input.disabled {
      border-color: #CCD2E2;
      background-color: #f4f5f8;
      opacity: 1 !important;
    }

    .mx-input-append,
    .mx-input {
      background-color: #f4f5f8;
      border: 1px solid #CCD2E2;
      color: #A1A7BB;
    }

    .mx-input-append {
      border-left: none;
      border-top-right-radius: 4px;
      border-bottom-right-radius: 4px;
    }
  }

  .mx-input-append {
    display: flex;
    align-items: center;
    cursor: pointer;
  }

  .mx-calendar {
    font-size: 13px;
  }

  .mx-input {
    display: block;
    width: 100%;
    height: calc(2.95rem + 2px);
    padding: .85rem 1.15rem;
    font-size: 1rem;
    line-height: 1.25;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #CCD2E2;
    border-radius: .25rem;
    -webkit-transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    box-shadow: inherit !important;

    &:focus {
      border-color: #2577C9;
    }
  }

  &.mx-input-sm {
    .mx-input {
      height: calc(2.2125rem + 2px);
      padding: .45rem .8rem;
      font-size: .875rem;
      line-height: 1.5;
    }
  }
}

.has-danger {

  .mx-datepicker .mx-input,
  .quillWrapper .ql-snow.ql-toolbar,
  .ql-toolbar.ql-snow+.ql-container.ql-snow {
    border-color: #f4516c;
  }
}

.m-form.m-form--state .has-danger .input-group .input-group-text,
.m-form.m-form--state .has-danger .input-group .btn.btn-secondary,
.m-form.m-form--state .has-danger .form-control:focus,
.m-form.m-form--state .has-danger .form-control {
  &.form-control-no-has-danger {
    border-color: #ebedf2 !important;
  }
}

.s-btn-link {
  border: 1px solid #00a4bd;
  padding: 0 20px;
  border-radius: 4px;
  background-color: transparent;
  cursor: pointer;
  margin: 0;
  height: 37.5px;
  line-height: 37.5px;
  display: inline-block;
  color: #00a4bd;
  transition: all 0.3s ease-in-out;

  &:hover {
    background-color: #00a4bd;
    color: #fff;
    text-decoration: none;
  }
}

.disabled {
  pointer-events: none;
  //opacity: 0.5;
}

//style editor
.quillWrapper {
  .ql-snow {
    .ql-picker-label {
      font-family: 'Barlow', sans-serif;
    }
  }

  .ql-editor {
    max-height: 400px;
    overflow-y: auto;
    font-family: 'Barlow', sans-serif !important;

    span[style*="color: transparent"] {
      color: #444F78 !important;
    }

    a {
      color: #2577C9 !important;
    }

    p,
    span,
    div,
    i,
    strong,
    em,
    u {
      word-break: break-word;
    }
  }

  .ql-snow.ql-toolbar,
  .ql-container.ql-snow {
    border-color: #CCD2E2;
  }

  &.has-danger {
    .ql-container.ql-snow {
      border-color: #f4516c;
    }

    .ql-snow.ql-toolbar {
      border-bottom-color: #f4516c;
    }
  }
}

.ql-align-center {
  text-align: center;
}

.ql-align-right {
  text-align: right;
}

.ql-align-justify {
  text-align: justify;
}

select option:disabled {
  color: #a6a7ad;
}

.has-danger .form-control:focus {
  border-color: #f4516c;
}

.btn.s--btn-custom.dropdown-toggle {
  padding: 0.75rem calc(1.5rem + 6px) 0.75rem 1.5rem;
}

// select.form-control {
//   padding: .85rem 1.15rem .85rem calc(1.15rem - 4px);
// }

// select.form-control.form-control-sm {
//   padding: .45rem .8rem .45rem calc(.8rem - 4px);
// }

//style placeholder
//input{
//  &::-webkit-input-placeholder {
//    color: #9d9ea5 !important;
//  }
//  &::-moz-placeholder {
//    color: #9d9ea5 !important;
//  }
//  &:-ms-input-placeholder {
//    color: #9d9ea5 !important;
//  }
//  &:-moz-placeholder {
//    color: #9d9ea5 !important;
//  }
//}
//
//
//select{
//  &:invalid {
//    color: #9d9ea5 !important;
//  }
//
//  [disabled] {
//    color: #9d9ea5 !important;
//  }
//}

.s--input-actions {
  position: relative;

  input {
    padding-right: 60px;
  }

  .actions {
    position: absolute;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);

    .actions-item {
      height: 20px;
      width: 20px;
      display: inline-block;
      float: left;
      position: relative;
      border-radius: 50%;
      margin-right: 4px;

      &:last-child {
        margin-right: 0;
      }

      i {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        font-size: 14px;
        color: #fff;
      }

      &.actions-item-save {
        background-color: #34bfa3;
      }

      &.actions-item-delete {
        background-color: #f4516c;
      }
    }
  }
}

//
.nt-group-file-upload {
  display: flex;
  align-items: center;
  width: 100%;

  @include mediaQueryMax(480px) {
    flex-direction: column;
    align-items: flex-start;
  }

  .nt-file-upload {
    float: left;

    label {
      border: 1px solid #CCD2E2;
      background-color: #F4F5F9;
      border-radius: 19px;
      color: #444F78;
      font-size: 13px;
      display: flex;
      align-items: center;

      &:hover,
      &:focus {
        border: 1px solid #CCD2E2;
        background-color: #F4F5F9;
        border-radius: 19px;
        color: #444F78;
      }
    }
  }

  .nt-file-message-warning {
    font-size: 14px;
    color: #444F78;
    margin-left: 20px;

    @include mediaQueryMax(480px) {
      margin-left: 0;
      margin-top: 5px;
    }
  }
}

.m-radio {
  &.nt-radio {
    &.nt-radio-primary {
      input:checked~span {
        background-color: #444F78;
        border-color: #444F78;

        &:after {
          border-color: #fff;
          background: #fff;
        }
      }
    }
  }
}

// select {
//   -moz-appearance: none;
//   /* Firefox */
//   -webkit-appearance: none;
//   /* Safari and Chrome */
//   appearance: none;
//   background: transparent url('./assets/imgs/icon-dropdown.png') no-repeat center right 6px;
// }

.nt-button {
  &:hover {
    text-decoration: none;
  }
}

.nt-email-template-editor .quillWrapper .ql-toolbar.ql-snow .ql-formats:nth-of-type(1) {
  padding-left: 170px;

  @media (max-width: 320px) {
    padding-left: 165px;
  }
}

.m-form .form-control-feedback {
  font-size: 14px;
  line-height: 21px;
}

select,
input,
textarea {
  font-family: 'Barlow',
    sans-serif !important;
}

.m-dropdown__content .m-nav__item {
  &:hover {
    background-color: transparent !important;
  }

  .m-nav__link {

    .m-nav__link-icon,
    .m-nav__link-text {
      font-size: 14px;
    }
  }

}

.m-nav .m-nav__item:hover:not(.m-nav__item--disabled)>.m-nav__link .m-nav__link-icon,
.m-nav .m-nav__item:hover:not(.m-nav__item--disabled)>.m-nav__link .m-nav__link-text,
.m-nav .m-nav__item:hover:not(.m-nav__item--disabled)>.m-nav__link .m-nav__link-arrow,
.m-nav .m-nav__item.m-nav__item--active>.m-nav__link .m-nav__link-icon,
.m-nav .m-nav__item.m-nav__item--active>.m-nav__link .m-nav__link-text,
.m-nav .m-nav__item.m-nav__item--active>.m-nav__link .m-nav__link-arrow,
.m-nav .m-nav__section .m-nav__section-text {
  color: #2577C9 !important;

}

.m-nav .m-nav__item>.m-nav__link .m-nav__link-icon {
  width: 20px;
}

.nt-box-body-filter-show {
  .nt-button.nt-button-top {
    border-color: #CCD2E2;
    background-color: #f4f5f8;

    .nt-filter-button-text,
    .nt-filter-count-items,
    .nt-filter-button-content {
      color: #A1A7BB;

    }

    .nt-filter-button-arrow {
      display: none;
    }
  }
}

.form-control[readonly],
.form-control {
  border-color: #CCD2E2;
  color: #444F78;

  &:active,
  &:focus,
  &:focus-within {
    border-color: #444F78;
    outline-color: #444F78;
    // border-color: #2577C9;
  }

  input {
    border-color: transparent;

    &:active,
    &:focus,
    &:focus-within {
      border-color: transparent;
      outline-color: none;
    }
  }
}

.m-portlet__body-head .m-portlet__body-head-top .m-portlet__body-head-top-right .search span.m-input-icon__icon {
  background-color: #F4F5F9;
  border-left: 1px solid #CCD2E2;
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}

.m-input-icon>.m-input-icon__icon>span>i {
  color: #444F78;
}

.form-control.focus,
.form-control:focus {
  border-color: #2577C9;
}

.m-radio.m-radio--primary>input:checked~span {
  background-color: #444F78;
  border-color: #444F78;
}

.m-radio.nt-radio.nt-radio-primary input:checked~span:after {
  border-color: #fff;
  background: #fff;
}

.m-radio.m-radio--primary>span:after {
  border-color: #fff;
  background: #fff;
}

.nt-button-config {
  background-color: #F4F5F9 !important;
  border-radius: 4px !important;

  &:hover,
  &:focus {
    background: #444F78 !important;
    color: #FFFFFF !important;
    border: solid 1px #444F78 !important;
  }
}

.m-checkbox.m-checkbox--primary>span:after {
  border: solid #fff;
}

.m-checkbox.m-checkbox--primary>input:checked~span {
  border: 1px solid #444F78;
}

.nt-form-custom-select-infinite-loading {
  .m-dropdown {
    width: 100%;

    .m-dropdown__toggle {
      cursor: pointer;
      width: 100%;
      height: calc(2.95rem + 2px);
      padding: .85rem 1.15rem;
      font-size: 1rem;
      line-height: 1.25;
      color: #444F78;
      background-color: #fff;
      background-clip: padding-box;
      border: 1px solid #CCD2E2;
      border-radius: .25rem;
      -webkit-transition: border-color 0.15s ease-in-out,
        -webkit-box-shadow 0.15s ease-in-out;
      transition: border-color 0.15s ease-in-out,
        -webkit-box-shadow 0.15s ease-in-out;
      transition: border-color 0.15s ease-in-out,
        box-shadow 0.15s ease-in-out;
      transition: border-color 0.15s ease-in-out,
        box-shadow 0.15s ease-in-out,
        -webkit-box-shadow 0.15s ease-in-out;
      position: relative;
      padding-right: 30px;
      display: block;

      span {
        overflow: hidden;
        -webkit-line-clamp: 1;
        -moz-line-clamp: 1;
        -ms-line-clamp: 1;
        -o-line-clamp: 1;
        line-clamp: 1;
        display: block !important;
        display: -webkit-box !important;
        text-overflow: ellipsis;
        -webkit-box-orient: vertical;
      }

      &:hover {
        color: #444F78;
      }

      i {
        position: absolute;
        right: 10px;
        font-size: 12px;
        top: 50%;
        transform: translateY(-50%);
        color: #CCD2E2;
      }
    }

    .m-dropdown__wrapper {
      padding-top: 0;
      margin-left: 0 !important;
      max-height: 300px;
      overflow-y: auto;
      border: 1px solid #CCD2E2;
      width: 100%;

      .m-dropdown__body {
        padding: 0;

        .m-nav {
          .m-nav__item {
            .m-nav__link {
              padding: .85rem 1.15rem;
              color: #444F78;

              &:hover {
                background-color: #EBEDF2;
              }
            }
          }
        }
      }
    }
  }
}

// .v-select.single .dropdown-toggle .clear {
//   display: block !important;
// }

.nt-form-control-sm {
  height: 30px;
  font-size: 14px;
  line-height: 21px;
  padding: 0 10px;
}

.mx-datepicker {
  &.nt-form-control-sm {
    padding: 0;
    font-size: 14px !important;
    line-height: 21px;

    .mx-input {
      height: 30px;
      padding: 0 10px;
    }
  }
}

.v-select {
  &.nt-form-control-sm {
    padding: 0;
    height: auto;

    input[type=search],
    .v-select input[type=search]:focus {
      height: 28px !important;
    }

    .vs__selected-options {
      padding: 0 10px !important;
    }

    .selected-tag {
      margin: 3px 3px 3px 0 !important;
      height: 22px !important;
      line-height: 21px !important;
      font-size: 14px;
      padding: 0 20px 0 10px !important;
    }

    &.single {
      .selected-tag {
        border: none !important;
        padding: 0 !important;
        margin: 3px 0 !important;
      }
    }

  }
}

.nt-user-form-control-sm {
  .nt-barge-dropdown {
    height: 30px;
    line-height: 30px;
    padding: 0 10px;
  }
}

.s--modal-customer-contact-add-modal {
  .v-select.single .dropdown-toggle .clear {
    display: none !important;
  }

  .v-select.disabled .dropdown-toggle .clear,
  .v-select.disabled .dropdown-toggle input,
  .v-select.disabled .open-indicator,
  .v-select.disabled .selected-tag .close {
    border-color: transparent !important;
  }
}

.v-select.disabled .dropdown-toggle .vs__actions {
  display: none;
}

.nt-detail-my-job-form-control {
  .mx-input {
    height: calc(2.5rem + 2px);
  }

  height: calc(2.5rem + 2px);
}